List inventory items
curl --request GET \
--url https://staging-api.usetyms.com/v1/adam/inventories \
--header 'X-API-Key: <api-key>'import requests
url = "https://staging-api.usetyms.com/v1/adam/inventories"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://staging-api.usetyms.com/v1/adam/inventories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Inventory retrieved successfully",
"data": [
{
"uuid": "inv-uuid-1",
"name": "Wireless Mouse",
"selling_price": 15000,
"cost_price": 9000,
"stock": 100,
"unit": "pcs",
"type": "product",
"is_inventory": true,
"currency": "NGN"
}
]
}Inventory
List inventory items
Return the paginated product and service catalog for the business. Use search to filter by item name.
GET
/
inventories
List inventory items
curl --request GET \
--url https://staging-api.usetyms.com/v1/adam/inventories \
--header 'X-API-Key: <api-key>'import requests
url = "https://staging-api.usetyms.com/v1/adam/inventories"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://staging-api.usetyms.com/v1/adam/inventories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Inventory retrieved successfully",
"data": [
{
"uuid": "inv-uuid-1",
"name": "Wireless Mouse",
"selling_price": 15000,
"cost_price": 9000,
"stock": 100,
"unit": "pcs",
"type": "product",
"is_inventory": true,
"currency": "NGN"
}
]
}Authorizations
Business secret tyms_sk_... for business-scoped routes. Partner secret for register-business and referred-business distributor routes.
Query Parameters
Page number.
Page size.
Full-text search.
Pass 1 to return only data without the status/message wrapper.
Available options:
1 Response
200 - application/json
Inventory list